asc_2.6.1.0-5+b1_amd64.deb


Advertisement

Description

asc - turn-based strategy game

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package name asc
Package version 2.6.1.0
Package release 5+b1
Package architecture amd64
Package type deb
Installed size 11.45 KB
Download size 2.37 MB
Official Mirror ftp.br.debian.org
Advanced Strategic Command is a free strategy game in the tradition
of Battle Isle 2/3. The game is turn-based and can be played against
human or computer.

Alternatives

Package Version Architecture Repository
asc_2.6.1.0-5+b1_i386.deb 2.6.1.0 i386 Debian Main
asc - - -

Requires

Name Value
asc-data = 2.6.1.0-5
libboost-regex1.67.0 >= 1.67.0-10
libbz2 1.0
libc6 >= 2.27
libexpat1 >= 2.0.1
libfreetype6 >= 2.2.1
libgcc1 >= 1:3.4
liblua5.1-0 -
libphysfs1 -
libpng16-16 >= 1.6.2-1
libsdl mixer1.2
libsdl-image1.2 >= 1.2.10
libsdl-sound1.2 >= 1.0.1
libsdl1.2debian >= 1.2.11
libsigc++-2.0-0v5 >= 2.8.0
libstdc++6 >= 5.2
libwxbase3.0-0v5 >= 3.0.4+dfsg

Download

Type URL
Binary Package asc_2.6.1.0-5+b1_amd64.deb
Source Package asc

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install asc deb package:
    # sudo apt-get install asc

Files

Path
/usr/games/asc
/usr/games/asc_demount
/usr/games/asc_mapedit
/usr/games/asc_mount
/usr/games/asc_weaponguide
/usr/share/applications/asc.desktop
/usr/share/doc/asc/AUTHORS
/usr/share/doc/asc/TODO
/usr/share/doc/asc/changelog.Debian.amd64.gz
/usr/share/doc/asc/changelog.Debian.gz
/usr/share/doc/asc/changelog.gz
/usr/share/doc/asc/copyright
/usr/share/man/man6/asc.6.gz
/usr/share/man/man6/asc_demount.6.gz
/usr/share/man/man6/asc_mapedit.6.gz
/usr/share/man/man6/asc_mount.6.gz
/usr/share/man/man6/asc_weaponguide.6.gz

Changelog

2018-10-21 - Markus Koschany <apo@debian.org>
asc (2.6.1.0-5) unstable; urgency=medium
* Add pkg-config-freetype.patch and use pkg-config to detect freetype2.
(Closes: #887600)
* Switch to compat level 11. Build with autoreconf.
* Build-depend on libcurl4-gnutls-dev or libcurl4-openssl-dev so that
auto-reconfiguration works.
* Declare compliance with Debian Policy 4.2.1.
2018-07-27 - Markus Koschany <apo@debian.org>
asc (2.6.1.0-4) unstable; urgency=medium
* Declare compliance with Debian Policy 4.1.5.
* Rebuild against GCC-8.
2017-11-17 - Markus Koschany <apo@debian.org>
asc (2.6.1.0-3) unstable; urgency=medium
* Declare compliance with Debian Policy 4.1.1.
* Drop deprecated autotools-dev from Build-Depends.
* Add libphysfs-3.0.1.patch and fix FTBFS with libphysfs 3.0.1.
Thanks to Adrian Bunk for the report. (Closes: #881998)
2017-06-25 - Markus Koschany <apo@debian.org>
asc (2.6.1.0-2) unstable; urgency=medium
[ Alexandre Detiste ]
* add another patch to make asc2_dlg.zip reproducible
[ Markus Koschany ]
* Declare compliance with Debian Policy 4.0.0.
* Use secure Vcs-Git URL.
* Switch to compat level 10.
* Drop libesd0-dev from Build-Depends. (Closes: #856073)
* Drop deprecated asc.menu file.
* Use https for Format field.
2015-12-07 - Markus Koschany <apo@debian.org>
asc (2.6.1.0-1) unstable; urgency=medium
[ Moritz Muehlenhoff ]
* Remove myself from uploaders.
[ Markus Koschany ]
* Imported Upstream version 2.6.1.0.
* Switch to libsigc++-2.0-dev. (Closes: #672391)
* Add get-orig-source target.
* Update my e-mail address.
* Drop spelling-errors.patch. Merged upstream.
* Declare compliance with Debian Policy 3.9.6.
* d/rules: Remove export DEB_BUILD_OPTIONS = nocheck
* Override dh_auto_test to prevent a FTBFS due to non-functional tests.
* Add reproducible-build.patch and make the build reproducible.
* Move the package to Git.
* Add clean file and ensure that the game can be built twice in a row.
2014-03-20 - Markus Koschany <apo@gambaru.de>
asc (2.6.0.0-1) unstable; urgency=medium
[ Evgeni Golov ]
* Correct Vcs-* URLs to point to anonscm.debian.org.
[ Alexander Reichle-Schmehl ]
* Removed myself from uploaders.
[ Markus Koschany ]
* Add myself to Uploaders.
* Imported Upstream version 2.6.0.0.
* wrap-and-sort -sab.
* Use compat level 9 and require debhelper >= 9.
* Drop dirs files. Not needed with compat level 9 and install files.
* Declare compliance with Debian policy 3.9.5.
* debian/control:
- Remove build-dependency on dpkg-dev.
- asc: change versioned dependency for asc-data to (= ${source:Version}).
- Switch to libwxgtk3.0-dev.
* debian/watch: Make the extension regex more flexible.
* asc.docs: Do not install README anymore.
* Install man pages with asc.install. Drop asc.manpages.
* Update asc.menu. Add icon entry.
* debian/rules:
- Build --with parallel and --with autotools_dev. Thanks to Logan Rosen for
the report and patch. (Closes: #733210)
- Remove override for dh_auto_configure. Disabling the paraguitest is
obsolete thus an override is not needed anymore.
- Export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed.
* Drop gcc-4.7-part2.diff. Fixed upstream.
* Drop no_unittester.patch. Export DEB_BUILD_OPTIONS = nocheck instead and
disable the non-functional unittests to avoid a FTBFS.
* Rename spelling patch to spelling-errors.patch and forward it to upstream's
forum.
* Add keywords and comment in German to desktop file.
* Add and install asc.png and asc.xpm icons. (Closes: #720169)
* Update debian/copyright to copyright format 1.0.
* Do not install uncompiled unitguide documentation anymore. Using
asc_weaponguide for creating the documentation on a per user basis
is recommended.

See Also

Package Description
ascd_0.13.2-6+b1_amd64.deb CD player and mixer
ascdc_0.3-15+b1_amd64.deb AfterStep CD changer
ascii2binary_2.14-1+b2_amd64.deb Convert between ASCII, hexadecimal and binary representations
ascii_3.18-1_amd64.deb interactive ASCII name and synonym chart
asciiart_0.0.9-1_all.deb command line tool to turn images into ASCII art
asciidoc-base_8.6.10-3_all.deb Minimal version of asciidoc not suitable for pdf
asciidoc-common_8.6.10-3_all.deb Basic data and configuration files for asciidoc
asciidoc-dblatex_8.6.10-3_all.deb Asciidoc package including dblatex dependencies
asciidoc-doc_8.6.10-3_all.deb Examples and documentation for asciidoc
asciidoc-fop_8.6.10-3_all.deb Asciidoc package including fop dependencies
asciidoc-tests_8.6.10-3_all.deb Test framework for asciidoc
asciidoc_8.6.10-3_all.deb Highly configurable text format for writing documentation
asciidoctor-doc_1.5.8-1_all.deb AsciiDoc to HTML rendering for Ruby (documentation)
asciidoctor_1.5.8-1_all.deb AsciiDoc to HTML rendering for Ruby
asciijump_1.0.2~beta-10_amd64.deb Small and funny ASCII-art game about ski jumping
Advertisement
Advertisement